## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond_without check

# https://github.com/nats-io/nkeys
%global goipath         github.com/nats-io/nkeys
Version:                0.4.10

%gometa

%global common_description %{expand:
A public-key signature system based on Ed25519 for the NATS ecosystem.}

%global golicenses      LICENSE
%global godocs          GOVERNANCE.md MAINTAINERS.md README.md TODO.md\\\
                        README-nk.md

Name:           %{goname}
Release:        %autorelease
Summary:        Public-key signature system based on Ed25519 for the NATS ecosystem

# Upstream license specification: Apache-2.0
# Automatically converted from old format: ASL 2.0 - review is highly recommended.
License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/crypto/ed25519)

%description
%{common_description}

%gopkg

%prep
%goprep
mv nk/README.md README-nk.md

%build
for cmd in nk; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc GOVERNANCE.md MAINTAINERS.md README.md TODO.md README-nk.md
%{_bindir}/*

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Fri Feb 14 2025 Mark E. Fuller <mark.e.fuller@gmx.de> - 0.4.10-1
- update to v0.4.10, close rhbz#2332324

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Dec 18 2024 Mark E. Fuller <mark.e.fuller@gmx.de> - 0.4.9-1
- update to v0.4.9, close rhbz#2332324

* Wed Nov 27 2024 Mark E. Fuller <mark.e.fuller@gmx.de> - 0.4.8-1
- update to v0.4.8, close rhbz#2329072

* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 0.4.7-6
- convert ASL 2.0 license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 0.4.7-4
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 31 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 0.4.7-1
- update to 0.4.7, close rhbz#2256227

* Mon Nov 20 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 0.4.6-1
- update to 0.4.6, close rhbz#2246023

* Wed Sep 20 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 0.4.5-2
- bump to v0.4.5, close rhbz#2239762, upload correct source

* Wed Sep 20 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 0.4.5-1
- bump to v0.4.5, close rhbz#2239762

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0.2.0-6
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-5
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jul 30 07:09:39 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-1
- Update to 0.2.0

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Aug 07 21:01:43 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.0-1
- Release 0.1.0 (#1733784)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 14 00:44:21 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.2-1
- Initial package

## END: Generated by rpmautospec
